Skip to main content
`Ctrl`+`K`

# DMPlexRestoreConeRecursive

Deallocates arrays created by `DMPlexGetConeRecursive()`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreConeRecursive(DM dm, IS points, PetscInt *depth, IS *expandedPoints[], PetscSection *sections[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- points - The `IS` of points, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameters

- depth - (optional) Size of the output arrays, equal to `DMPLEX` depth, returned by `DMPlexGetDepth()`

- expandedPoints - (optional) An array of recursively expanded cones

- sections - (optional) An array of sections which describe mappings from points to their cone points

## Note

See `DMPlexGetConeRecursive()`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetCone()`, `DMPlexGetConeTuple()`, `DMPlexGetConeRecursive()`, `DMPlexGetConeRecursiveVertices()`, `DMPlexGetDepth()`, `IS`, `PetscSection`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages